arm: dts: apalis-ixora: Add switch3 as reset button

Signed-off-by: Petr Štetiar <ynezz@true.cz>

--- a/arch/arm/boot/dts/imx6q-apalis-ixora-v1.1.dts
+++ b/arch/arm/boot/dts/imx6q-apalis-ixora-v1.1.dts
@@ -74,7 +74,7 @@
 	gpio-keys {
 		compatible = "gpio-keys";
 		pinctrl-names = "default";
-		pinctrl-0 = <&pinctrl_gpio_keys>;
+		pinctrl-0 = <&pinctrl_gpio_keys &pinctrl_switch3_ixora>;
 
 		wakeup {
 			label = "Wake-Up";
@@ -83,6 +83,13 @@
 			debounce-interval = <10>;
 			wakeup-source;
 		};
+
+		reset {
+			label = "reset";
+			gpios = <&gpio1 16 GPIO_ACTIVE_LOW>;
+			linux,code = <KEY_RESTART>;
+			debounce-interval = <10>;
+		};
 	};
 
 	lcd_display: disp0 {
@@ -296,4 +303,10 @@
 			MX6QDL_PAD_NANDF_D2__GPIO2_IO02 0x1b0b0
 		>;
 	};
+
+	pinctrl_switch3_ixora: switch3ixora {
+		fsl,pins = <
+			MX6QDL_PAD_SD1_DAT0__GPIO1_IO16 0x1b0b0
+		>;
+	};
 };
--- a/arch/arm/boot/dts/imx6q-apalis-ixora.dts
+++ b/arch/arm/boot/dts/imx6q-apalis-ixora.dts
@@ -73,7 +73,7 @@
 	gpio-keys {
 		compatible = "gpio-keys";
 		pinctrl-names = "default";
-		pinctrl-0 = <&pinctrl_gpio_keys>;
+		pinctrl-0 = <&pinctrl_gpio_keys &pinctrl_switch3_ixora>;
 
 		wakeup {
 			label = "Wake-Up";
@@ -82,6 +82,13 @@
 			debounce-interval = <10>;
 			wakeup-source;
 		};
+
+		reset {
+			label = "reset";
+			gpios = <&gpio1 16 GPIO_ACTIVE_LOW>;
+			linux,code = <KEY_RESTART>;
+			debounce-interval = <10>;
+		};
 	};
 
 	lcd_display: disp0 {
@@ -297,4 +304,10 @@
 			MX6QDL_PAD_NANDF_D2__GPIO2_IO02 0x1b0b0
 		>;
 	};
+
+	pinctrl_switch3_ixora: switch3ixora {
+		fsl,pins = <
+			MX6QDL_PAD_SD1_DAT0__GPIO1_IO16 0x1b0b0
+		>;
+	};
 };
